| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::ximgproc::FastBilateralSolverFilter Class Referenceabstract
Extended Image Processing » Filters

Interface for implementations of Fast Bilateral Solver. More...

`#include <opencv2/ximgproc/edge_filter.hpp>`

Collaboration diagram for cv::ximgproc::FastBilateralSolverFilter:

## Public Member Functions
virtual void | filter (InputArray src, InputArray confidence, OutputArray dst)=0
| Apply smoothing operation to the source image.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Interface for implementations of Fast Bilateral Solver.

For more details about this solver see [19] .

## Member Function Documentation

## ◆ filter()

virtual void cv::ximgproc::FastBilateralSolverFilter::filter | ( | InputArray | src,
|  | InputArray | confidence,
|  | OutputArray | dst )
| pure virtual

Python:
| cv.ximgproc.FastBilateralSolverFilter.filter( | src, confidence[, dst] | ) -> | dst

Apply smoothing operation to the source image.

Parameters

  src | source image for filtering with unsigned 8-bit or signed 16-bit or floating-point 32-bit depth and up to 3 channels.
  confidence | confidence image with unsigned 8-bit or floating-point 32-bit confidence and 1 channel.
  dst | destination image.

Note
  Confidence images with CV_8U depth are expected to in [0, 255] and CV_32F in [0, 1] range.

The documentation for this class was generated from the following file:

- opencv2/ximgproc/edge_filter.hpp